## Get LookupTableRevisionData

### cURL

```
curl --request GET \
  --url 'https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data?limit=2000' \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data?limit=2000"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.m3ter.com/organizations/{orgId}/lookuptables/{lookupTableId}/revisions/{lookupTableRevisionId}/data?limit=2000', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Example

#### Success (200)

```
{
  "items": [\
    {}\
  ],
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "version": 123
}
```

### Error Responses

#### Client Error (4XX)

```
{
  "message": "<string>"
}
```

#### Server Error (5XX)

```
{
  "message": "<string>"
}
```

### Authorizations

**Authorization**: `string` (required) - M3ter supports machine to machine authentication using the `clientCredentials` OAuth2 flow.

### Path Parameters

- **orgId**: required UUID of the Organization.
- **lookupTableId**: required UUID of the Lookup Table.
- **lookupTableRevisionId**: required UUID of the Lookup Table Revision.

### Query Parameters

- **limit**: default is 2000.

### Response Requirements

- **items**: required Lookup Table Revision Data, maximum array length is `2000`.
- **dtCreated**: DateTime when the data was created.
- **dtLastModified**: DateTime when the data was last modified.
- **createdBy**: ID of the user who created the data.
- **lastModifiedBy**: ID of the user who last modified the data.
- **version**: version of the data.
